
package info.textgrid._import;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RewriteMethod.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RewriteMethod">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NCName">
 *     &lt;enumeration value="none"/>
 *     &lt;enumeration value="text"/>
 *     &lt;enumeration value="xml"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "RewriteMethod")
@XmlEnum
public enum RewriteMethod {


    /**
     * 
     *     					No rewriting will take place.
     *     				
     * 
     */
    @XmlEnumValue("none")
    NONE("none"),

    /**
     * replace
     * 
     */
    @XmlEnumValue("text")
    TEXT("text"),

    /**
     * 
     *     					Simple XML-based rewriter. Only for well-formed
     *     					XML files!
     *     				
     * 
     */
    @XmlEnumValue("xml")
    XML("xml");
    private final String value;

    RewriteMethod(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RewriteMethod fromValue(String v) {
        for (RewriteMethod c: RewriteMethod.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
